
package gov.va.med.cds.ars.jaxws;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name = "readAggregateData", namespace = "http://ars.cds.URL       /")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "readAggregateData", namespace = "http://ars.cds.URL       /", propOrder = {
    "reportRequest",
    "reportId",
    "clientId",
    "requestId"
})
public class ReadAggregateData {

    @XmlElement(name = "reportRequest", namespace = "")
    private String reportRequest;
    @XmlElement(name = "reportId", namespace = "")
    private String reportId;
    @XmlElement(name = "clientId", namespace = "")
    private String clientId;
    @XmlElement(name = "requestId", namespace = "")
    private String requestId;

    /**
     * 
     * @return
     *     returns String
     */
    public String getReportRequest() {
        return this.reportRequest;
    }

    /**
     * 
     * @param reportRequest
     *     the value for the reportRequest property
     */
    public void setReportRequest(String reportRequest) {
        this.reportRequest = reportRequest;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getReportId() {
        return this.reportId;
    }

    /**
     * 
     * @param reportId
     *     the value for the reportId property
     */
    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getClientId() {
        return this.clientId;
    }

    /**
     * 
     * @param clientId
     *     the value for the clientId property
     */
    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getRequestId() {
        return this.requestId;
    }

    /**
     * 
     * @param requestId
     *     the value for the requestId property
     */
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

}
